> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sepa Mandates



## OpenAPI

````yaml /api-reference/preview.json get /organizations/{organization_id}/sepa-mandates
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/sepa-mandates:
    get:
      tags:
        - Core
        - Organizations
        - Banking
      summary: List Sepa Mandates
      operationId: list_sepa_mandates_organizations__organization_id__sepa_mandates_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SepaMandateResponse'
                title: >-
                  Response List Sepa Mandates Organizations  Organization Id 
                  Sepa Mandates Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    SepaMandateResponse:
      properties:
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
        mandate_reference:
          anyOf:
            - type: string
            - type: 'null'
          title: Mandate Reference
        creditor_id:
          type: string
          title: Creditor Id
        bank_account_id:
          type: string
          title: Bank Account Id
        is_recurring:
          type: boolean
          title: Is Recurring
        id:
          type: string
          title: Id
        created_by:
          type: string
          title: Created By
      additionalProperties: true
      type: object
      required:
        - creditor_id
        - bank_account_id
        - is_recurring
        - id
        - created_by
      title: SepaMandateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````